//Name : Christine Gherau
public class Problem2 {
	public static void main(String[] args) {

 if (args.length == 0) {
 System.out.println("Please supply x y and radius arguments");
 System.exit(0);

 }

  Double xval = Double.parseDouble(args[0]);
  Double yval = Double.parseDouble(args[1]);
  Double radius = Double.parseDouble(args[2]);

  Circle2D c1 = new Circle2D(xval, yval, radius);
 System.out.println("Area is " + c1.getArea());
 System.out.println("Perimeter is " + c1.getPerimeter());
 System.out.println(c1.contains(3, 3));
 System.out.println(c1.contains(new Circle2D(4, 5, 10.5)));
 System.out.println(c1.overlaps(new Circle2D(3, 5, 2.3)));
 }
}

class Circle2D {
//defining x,y and radius of circle
	double x;
	double y;
	double radius;
//defining the no argument constructor 
 Circle2D(){
	 this.x=0;
	 this.y=0;
	 this.radius=1;
 }
 //defining constructor with argumnents and assigning the co ordinates and radius values
 Circle2D(double x,double y,double radius){
	 this.x=x;
	 this.y=y;
	 this.radius=radius;
 }
 //get methods for co ordinates and radius
 public double getX(){
     return this.x;
 }
 public double getY(){
     return this.y;
 }
 public double getRadius(){
     return this.radius;
 }
 //area=pie*radius*radius
 public double getArea() {
	 return Math.PI*this.radius*this.radius;
 }
 //perimeter=2*pie*radius
 public double getPerimeter() {
	 return Math.PI*this.radius*2;
 }
 //if the distance between the point and centre of circle is less than the radius, then return true as the point is inside the circle.
 public boolean contains(double xc,double yc) {
	 if(Math.sqrt(Math.pow(this.x-xc, 2)+Math.pow(this.y-yc, 2))<this.radius) {
		 return true;
	 }
	 return false;
 }
 //xc and yc are co ordinates of centre of the circle in argument and rad is its radius
 public boolean contains(Circle2D c) {
	 double xc=c.getX();
	 double yc=c.getY();
	 double rad=c.getRadius();
//if the given argument sircle is bigger than our circle, then there is no way for argument circle to be inside our circle.
	 if(this.radius<rad) {
		 return false;
	 }
//if the distance between their centres is less than the absolute value of difference of their radii, then argument circle is inside our circle.
	 if(Math.sqrt(Math.pow(this.x-xc, 2)+Math.pow(this.y-yc, 2))<Math.abs(this.radius-rad)) {
		 return true;
	 }
	 return false;
 }
 public boolean overlaps(Circle2D c) {
 //xc and yc are co ordinates of centre of the circle in argument and rad is its radius
	 double xc=c.getX();
	 double yc=c.getY();
	 double rad=c.getRadius();
//if the distance between their centres is less than the absolute value of difference of their radii, then there is no way for argument circle to be inside our circle.
	 if(Math.sqrt(Math.pow(this.x-xc, 2)+Math.pow(this.y-yc, 2))>(this.radius+rad)) {
		 return false;
	 }
	 return true;
 }
}