//Name : Christine Gherau
import java.util.Scanner;

public class Problem3 {
	public static void main(String[] args) {
		Scanner input = new Scanner(System.in);
		System.out.print("Enter three sides: ");
	double side1 = input.nextDouble();
	double side2 = input.nextDouble();
	double side3 = input.nextDouble();
	
	Triangle triangle = new Triangle(side1, side2, side3);
	
	System.out.print("Enter the color: ");
	String color = input.next();
	triangle.setColor(color);
   System.out.print("Enter a boolean value for filled: ");
   boolean filled = input.nextBoolean();
   triangle.setFilled(filled);
   System.out.println("The color of the triangle is: " + triangle.getColor());
   System.out.println("The triangle is filled? " + triangle.isFilled());
   System.out.println("The area is " + triangle.getArea());
   System.out.println("The perimeter is " + triangle.getPerimeter());
   System.out.println(triangle);
   }
}

class Triangle extends GeometricObject {
//declaring 3 sides of triangle
	double side1;
	double side2;
	double side3;
//defining the no argument constructor 
	Triangle(){
		this.side1=1.0;
		this.side2=1.0;
		this.side3=1.0;
	}
//defining constructor with argumnents and assigning the sides
	Triangle(double side1,double side2,double side3){
		this.side1=side1;
		this.side2=side2;
		this.side3=side3;
	}
//get methods for sides
	public double getSide1(){
	     return this.side1;
	 }
	public double getSide2(){
	     return this.side2;
	 }
	public double getSide3(){
	     return this.side3;
	 }
//area of triangle from Heron's Formula for the area of a triangle.
	public double getArea() {
		double p=(this.side1+this.side3+this.side2)/2;
		return Math.sqrt(p*(p-this.side1)*(p-this.side2)*(p-this.side3));
		
	}
//perimneter of triangle = sum of 3 sides
	public double getPerimeter() {
			return this.side1+this.side3+this.side2;
		}
	public String toString() {
		return "Triangle: side1 = " + side1 + " side2 = " + side2 + " side3 = " + side3;
	}
}