//Name : Christine Gherau
import java.util.*;
import java.io.*;

public class Problem4 {
	/** Main method 
	 * @throws FileNotFoundException */
	public static void main(String[] args) throws FileNotFoundException {
		Scanner input = new Scanner(System.in);
		// Prompt the user to enter the year, gender and name 
		System.out.print("Enter the year: ");
		String year = input.nextLine();
		System.out.print("Enter the gender: ");
		String gender = input.nextLine();
		System.out.print("Enter the name: ");
		String name = input.nextLine();
		// Create an ArrayList
		ArrayList<String> list = new ArrayList<>();
		// Read text from url
			String s="D://Misc//Assignment//babynamesranking" +year + ".txt";
			FileInputStream file = new FileInputStream (s); 
			input = new Scanner(file);
			while (input.hasNext()) {
				for (int i = 0; i < 5; i++) {
					list.add(i, input.next());
				}
				// Display ranking for the name for the year
				if (list.get(genderIndex(gender)).equals(name)) {
					System.out.println(
						name + " is ranked #" + list.get(0) + " in year " + year);
					System.exit(0);
				}
				list.clear();
			}
		System.out.println("The name " + name + " is not ranked in year " + year);
	}
	/** Returns the index for the corresponding gender */
	public static int genderIndex(String gender) {
		if (gender.equals("M"))
			return 1;
		else
			return 3;
	}
}